> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Parties



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/parties/retrieve/{id}
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/parties/retrieve/{id}:
    get:
      tags:
        - parties
      summary: Retrieve Parties
      operationId: retrieve_parties__version__parties_retrieve__id__get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Object ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    PartyResponse:
      properties:
        id:
          type: integer
          title: Id
        fullname:
          type: string
          title: Fullname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
              maxLength: 15
              minLength: 8
            - type: 'null'
          title: Phone
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - fullname
        - created_at
        - updated_at
      title: PartyResponse
      description: PartyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````